<?php
/**
 *
 * @version     1.0.$Revision:$
 * @version     SVN: $Id:$
 * @package     bplan-base/globals
 * @subpackage  Seeders
 * @author      Wassilios Meletiadis <wassilios.meletiadis@bplan-solutions.de>
 * @copyright   Copyright (C) 2025 bplan-solutions GmbH & Co. KG <https://www.bplan-solutions.de/>
 * /Δ\
 */

namespace BplanBase\Globals\Database\Seeders;


use Illuminate\Database\Seeder;


/**
 *
 * @author      Wassilios Meletiadis <wassilios.meletiadis@bplan-solutions.de>
 */
class PostDatabaseSeeder extends Seeder
{

    /**
     * Seed the application's database.
     *
     * @author      Wassilios Meletiadis <wassilios.meletiadis@bplan-solutions.de>
     */
    public function run(): void
    {
        $env = config('app.env');

        $seeds = [
            // RoleUserSeeder::class,
        ];
        if ($env === 'production') {
            //

        } elseif (str_starts_with($env, 'demo') === true) {
            // $seeds[] = Demo\UserSeeder::class;

        } else {
            //

        }
        $this->call($seeds);

    } // run()

} // class PostDatabaseSeeder extends Seeder {}
